EDIT - feature request #6314

CDM light (csv) export implemented

01/06/2017 01:11 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal

Description

(Editorial Workflow in Platform-Projekten)

Hallo Katja,

wie gesagt, bevor wir ernsthaft anfangen, mit mehreren Leuten den Inhalt der Salvador-Datenbank zu aktualisieren (wir haben z.B.
schon eine Menge Korrekturen bei den ersten beiden Banden) méchte ich sicherstellen, dass ich Verdnderungen mdglichst einfach
verfolgen kann. Das ist mir z.Zt. z.B. bei den Caryophyllales nicht méglich, was mich etwas nervés macht. Ich glaube immer noch,
das die fUr einen Taxonomen als inhaltlich verantwortlichen Editor einfachste Losung im Textvergleich von Outputdokumenten liegt.
Da aber einerseits die Anforderungen hier immer sehr unterschiedlich sein werden, andererseits die Programmierung von
Text-Output auf Basis einer Datenbank von vielen Leuten gemacht werden kénnte, brauchen wir m.A.n. eine von der eigentlichen

Platform-Programmierung entkoppelte generische Lésung als Ausgangspunkt.

Dazu hatte ich ja vor einiger Zeit schon mal einen Aufschlag gemacht (s.u.). Wenn ich so eine — auf Knopfdruck zu aktualisierende
oder sogar direkt als View implementierte — Datenbasis hatte, dann kénnte ich mir selbst (oder z.B. mit Frank oder mit Entwicklern
hier in El Salvador) einen Output basteln, der mir volle Editor-Kontrolle von vorgenommenen Anderungen erlaubt. Auch die

Implementierung von speziellen Einzelfallqualitdtskontrollen wiirde erméglicht.

Das ware dann auch ein Modellfall fiir den editorial workflow fiir andere kooperative Bearbeitungen, die auf uns zukommen bzw.

bereits stattfinden (z.B. Einsatz von stud. Hilfskraften bei Euro+Med und Arenaria).

Herzlichen Gruf3
Walter

Open smaller Subtasks:

o Addpni-ldentifier{AM}#6515
e ExportResult handling

e move to RootNode Id instead of classification id as startpoint

¢ partitioning (use getAllChildNodelds - a method that returns all Ids of the children of a node)

e progress monitor

open questions:

¢ should we provide the possibility to export several classifications, (non unique parent problem)

Subtasks:
feature request # 6536: extract name export of outputmodel export Rejected
Related issues:
Related to EDIT - feature request #6519: Implement ExportResult Resolved
Related to EDIT - feature request #461: Improve / compact display of types In Progress
Related to EDIT - feature request #6516: Add instance name and instance ID to... In Progress
Related to EDIT - task #6754: Adapt DwcA Export to CDM light export strategy Closed
Blocked by EDIT - feature request #6515: Add Tropicos and IPNI Name Identifer Closed
Copied to EDIT - bug #6627: Remaining cdm light issues Closed
Associated revisions
Revision ff3eac53 - 03/15/2017 01:20 PM - Katja Luther
ref #6314: code cleaning for csv import/export
Revision 2e90726e - 03/15/2017 03:24 PM - Katja Luther
ref #6314: implementation in progress, exportResult adaptions
https://dev.e-taxonomy.eu/redmine/issues/6515

Revision 4ab4eabe - 03/15/2017 03:34 PM - Katja Luther
ref #6314: add deprecated method setSuccess

Revision 85869da5 - 03/15/2017 05:22 PM - Andreas Miiller
ref #6314 Add OutputModelTables

Revision dbcb39fb - 03/16/2017 02:16 PM - Katja Luther

ref #6314: further implementation

Revision 13bd503e - 03/16/2017 05:01 PM - Andreas Miiller

ref #6314: some more changes for the Output Model

Revision ¢762f336 - 03/16/2017 08:53 PM - Andreas Miiller
ref #6314: add some parameters to OutputModel table

Revision 29419bb9 - 03/16/2017 08:53 PM - Andreas Miiller
ref #6314: implement deduplication for OutputModel

Revision d688ff5¢c - 03/17/2017 12:58 PM - Katja Luther

ref #6314: start implementing handleName in outputmodel export

Revision f318c828 - 03/20/2017 04:01 PM - Katja Luther

ref #6314: handle homotypical group and further implementation for filling the name table

Revision b3babf1b - 03/20/2017 04:15 PM - Katja Luther
ref #6314: add homotypicalgroupNameComparator

Revision 03ebde9e - 03/23/2017 10:34 AM - Katja Luther

ref #6314: smaller fixes, creation of tropicos full name string, creation of final result etc

Revision f3e1eifa - 03/23/2017 10:47 AM - Katja Luther

ref #6314: adaption to changes in exports

Revision 11d3f2a9 - 03/28/2017 10:51 AM - Katja Luther

ref #6314: smaller changes

Revision 38ac74da - 03/28/2017 02:39 PM - Katja Luther

ref #6314: add nomenclatural author table

Revision 191fe468 - 03/29/2017 10:51 AM - Katja Luther

ref #6314: add classification in taxon table, smaller fixes

Revision d4bf18c9 - 04/03/2017 09:44 AM - Katja Luther

ref #6314: add factual data export to outputmodel export

Revision cb9b1284 - 04/06/2017 10:47 AM - Katja Luther

ref #6314: adapt outputmodel export for protected titlecaches and add fact_type to source table

Revision 53eeb3a2 - 05/08/2017 03:50 PM - Katja Luther
fix #6314: add homotypicalGroupSequenceNumber

History

#1 - 01/18/2017 11:29 PM - Andreas Miiller
- Subject changed from Editorial Workflow in Platform-Projekten to Output model for platform projects
- Description updated

- Category set to cdmadapter
Katja: Ich habe diese und die vorherige Version auch nochmal unter Y:\BD\EDIT-Plattform_Latest Versions\Output Model abgelegt.

#2 - 03/15/2017 12:56 PM - Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.7

#3 - 03/15/2017 12:57 PM - Katja Luther

- Status changed from New to In Progress

#4 - 03/15/2017 02:09 PM - Katja Luther
- Description updated

#5 - 03/15/2017 03:00 PM - Katja Luther
- Description updated

#6 - 03/15/2017 04:39 PM - Andreas Miiller
- Related to feature request #6515: Add Tropicos and IPNI Name Identifer added

#7 - 03/15/2017 04:48 PM - Andreas Miiller
- Description updated

#8 - 03/15/2017 04:48 PM - Andreas Miiller
- Related to deleted (feature request #6515: Add Tropicos and IPNI Name Identifer)

#9 - 03/15/2017 04:49 PM - Andreas Miiller
- Blocked by feature request #6515: Add Tropicos and IPNI Name Identifer added

#10 - 03/15/2017 04:51 PM - Andreas Miiller

- Blocked by feature request #6516: Add instance name and instance ID to CDM meta data added

#11 - 03/16/2017 10:14 AM - Katja Luther

- Description updated

#12 - 03/16/2017 10:16 AM - Katja Luther

- Description updated

#13 - 03/16/2017 10:20 AM - Katja Luther

- Description updated

#14 - 03/16/2017 10:24 AM - Katja Luther

- Description updated

#15 - 03/16/2017 10:35 AM - Katja Luther

- Description updated

#16 - 03/16/2017 02:53 PM - Andreas Miiller
- Related to feature request #6519: Implement ExportResult added

#17 - 03/20/2017 02:47 PM - Andreas Miiller
- Related to feature request #461: Improve / compact display of types added

#18 - 03/20/2017 02:47 PM - Andreas Miiller

Formatting of Types is also discussed at #461

#19 - 03/28/2017 10:52 AM - Katja Luther

added the infraspecific and infrageneric rank abbreviation > Revision 11d3f2a9
https://dev.e-taxonomy.eu/redmine/issues/461

#20 - 04/03/2017 10:56 AM - Katja Luther

missing or not working:

TitlePageYear

Collation: Wird nicht ausgegeben. Konkateniert aber auch nur die zwei folgenden (Vol/Issue, Detail) mit Doppelpunkt und Leerzeichen
dazwischen

eigene Tabelle fur Identifier

Facts containing only media data should be moved to an extra table.

Discuss whether we should handle the citation facts separate to the other simple facts because it is confusing that the row in the simple fact
table is no information.

add export of usage data

add export of annotations

add export of IndividualsAssociations and Taxonlnteractions

#21 - 04/04/2017 02:28 PM - Andreas Miiller
WGB:

zu Tropicos Format. Ich wisste nicht, dass das irgendwo dokumentiert ist. Mir fallt dazu ein:
Fir jeden Einzelautor bei Klammer- und Kombinations-Autorenteams plus jeweils ex-Autorenteams

e |nitialen mit Punkten
e Initialen ohne Leerzeichen gereiht und dann vor dem Nachnamen bzw. der Nachnamenabkirzung ein Leerzeichen
o der Suffix ,f.“ (fir filius) mit Leerzeichen davor. Also Hook. f. — nicht Hook.f. wie in IPNI.

Bei der Teambildung
¢ Die Standardabkirzungen hintereinander ausgegeben, also ohne Verénderung des Standards

e Liste mit Komma dazwischen bzw. zwischen den letzten beiden mit ,&".
¢ Beim Datenbankoutput tber die Name-Check Funktion gibt's meiner Ansicht nach keine Begrenzung der Anzahl der Autoren.

#22 - 04/04/2017 02:29 PM - Andreas Miiller

#23 - 04/27/2017 10:36 AM - Katja Luther

Discuss whether we should handle the citation facts seperate to the other simple facts because it is confusing that the row in the simple fact table is
no information.

#24 - 04/27/2017 10:51 AM - Katja Luther

Facts containing only media data we should move to an extra table.

#25 - 04/27/2017 12:15 PM - Katja Luther

Katja Luther wrote:

Discuss whether we should handle the citation facts seperate to the other simple facts because it is confusing that the row in the simple fact
table is no information.
WGB:

Hallo,

citation facts im Sinne von ,das Taxon wurde auch in diesen Quellen genannt” (wie z.B. in Flora Malesiana? Also eigentlich so etwas wie nicht explizit
als Konzeptbeziehung definierte Potential Taxa? Das haben wir auch in der Salvador Datenbank, da als einfaches Textfeld (2 davon) — dort ist es
eine Mischung eines Prasenzbelegs (im Fall des Felds ,Reported for El Salvador®), der Konzeptrelation (dort im Text angegeben — ,included in“ etc.)
und einer Literaturreferenz fir das Taxon (im Sinne von — ,hier gibt’s eine Beschreibung®). Das 3. Feld sind die lllustrationen, die auch als
Literaturreferenz gelistet werden.

Ich weif3 nicht, ob die Modellierung hier schon ganz klar ist? In jedem Fall wiirde die von Euch vorgeschlagene Lésung ja immer die Selbstdefinition
einer Text-Fact-Category (eines Features) weiterhin erlauben, also habe ich keine prinzipiellen Einwénde.

Herzlichen Gruf3

Walter

#26 - 05/08/2017 03:50 PM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 100 to 50

Applied in changeset cdmlib|53eeb3a2d4d2fd8d85b8b60bf19d40072e0f1c81.

#27 - 05/08/2017 03:53 PM - Katja Luther

close this ticket because the topics from the first definition of the outputmodel is implemented. Create a new ticket with follow up issues. (#6627)

#28 - 05/08/2017 03:53 PM - Katja Luther
- Related to bug #6627: Remaining cdm light issues added

#29 - 05/08/2017 11:56 PM - Andreas Miiller
- Related to deleted (bug #6627: Remaining cdm light issues)

#30 - 05/08/2017 11:56 PM - Andreas Miiller
- Copied to bug #6627: Remaining cdm light issues added

#31 - 05/11/2017 09:13 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#32 - 05/17/2017 01:44 PM - Andreas Miiller
- Subject changed from Output model for platform projects to CDM light (csv) export implemented

#33 - 05/17/2017 03:05 PM - Katja Luther

- Assignee changed from Andreas Muiller to Katja Luther

#34 - 06/01/2017 10:07 AM - Katja Luther

- Private changed from Yes to No

#35 - 06/01/2017 11:24 AM - Andreas Miiller
- Blocked by deleted (feature request #6516: Add instance name and instance ID to CDM meta data)

#36 - 06/01/2017 11:24 AM - Andreas Miiller

- Related to feature request #6516: Add instance name and instance ID to CDM meta data added

#37 - 06/01/2017 11:37 AM - Katja Luther

- Status changed from Resolved to Closed

#38 - 06/26/2017 10:20 AM - Andreas Miiller
- Related to task #6754: Adapt DwcA Export to CDM light export strategy added
